reset
set terminal postscript eps enhanced color font 'Helvetica,20' lw 1.6
set output 'kn2.eps'
set key spacing 1.5 
set ylabel '{/Helvetica-Italic f}{/Symbol _g(q)}'
set xlabel '{/Helvetica-Italic Scatter angle }{/Symbol q}'
set xrange [0:pi]
set xtics (0, '{/Symbol p/4}' pi/4, '{/Symbol p/2}' pi/2, '{/Symbol 3p/4}' 3*pi/4, '{/Symbol p}' pi)
g(E)=E/511.0
P(x,E)=1.0/(1.0+g(E)*(1-cos(x)))
st(E)=1.0/g(E)**3*(2.0*g(E)*(2.0+g(E)*(1.0+g(E))*(8.0+g(E)))/(1.0+2.0*g(E))**2+(g(E)*(g(E)-2.)-2.)*log(1.+2.*g(E)))
s(x,E)=(P(x,E)**3+P(x,E)-P(x,E)**2*sin(x)*sin(x))*sin(x)/st(E)
plot s(x,511) lt 1 lw 6 lc 1 ti "{/Helvetica-Italic ***E}_{/Symbol g}=511{/Helvetica-Italic keV***}", s(x,200) lt 1 lw 2 lc 2 ti "{/Helvetica-Italic E}_{/Symbol g}=200{/Helvetica-Italic keV}", s(x,75) lt 1 lw 2 lc 3 ti "{/Helvetica-Italic E}_{/Symbol g}=75{/Helvetica-Italic keV}", s(x,25) lt 1 lw 2 lc 4 ti "{/Helvetica-Italic E}_{/Symbol g}=25{/Helvetica-Italic keV}"#, s(x,1) lt 1 lw 2 lc 5 ti "{/Helvetica-Italic E}_{/Symbol g}=1{/Helvetica-Italic keV}"
q
