reset
set terminal postscript eps enhanced color font 'Helvetica,18' lw 1.6
set output 'kn3.eps'
set xlabel "{/Helvetica-Italic Released energy T_e}"
set ylabel "{/Helvetica-Italic f_1(T_e)}"
set xrange [0:511]
set dummy E

b(E)=E/511
Ph(E)=((b(E)+b(E)**3-b(E)**2*(1-(-1+2*b(E))**2/b(E)**2)))/b(E)**2/((40./9.-3*log(3)))
#http://en.wikibooks.org/wiki/Gnuplot#Piecewise-defined_functions
set parametric
t11=0.
t12=511/3.
t21=511.
x2(t) = t12+t*(t21-t12)
f12=0.
f21=2.*511./3.
x4(t) = f12+t*(f21-f12)
x5(t) = t11+t*(t12-t11)
x6(t) = t12+t*(f21-t12)
x7(t) = f21+t*(t21-f21)

#spPh(E)= E<511/3 ? 0 : E<511 ? Ph(E) : 0
#spPh(E) = Ph(E) for E in [511/3,511]
#spPh(E) = 0 for E in [0,511/3]
#spPh(E) = 0 for E in [0,511/3]

set key at graph 1.01, graph 0.96
set trange[0:1]
plot 511-511/3,t*Ph(511./3) lt 1 lw 2 lc 5 noti,x4(t),Ph(511-x4(t)) lt 1 lw 2 lc 5 ti "{/Helvetica-Italic 1st Interaction}", 511/3,t*Ph(511./3) lt 1 lw 2 lc 6 noti,x2(t),Ph(x2(t)) lt 1 lw 2 lc 6 ti "{/Helvetica-Italic 2nd Interaction}", 511/3,Ph(511-511./3)+t*Ph(511./3) lt 1 lw 0.3 lc 7 noti,x5(t),Ph(511-x5(t)) lt 1 lw 0.3 lc 7 noti,x6(t),Ph(x6(t))+Ph(511-x6(t)) lt 1 lw 0.3 lc 7 ti "{/Helvetica-Italic Combined}",511-511/3,Ph(511-511./3)+t*Ph(511./3) lt 1 lw 0.3 lc 7 noti,x7(t),Ph(x7(t)) lt 1 lw 0.3 lc 7 noti

q
